<?php 
/*
	<id>underdog:autotheme</id>
	<name>SP_Pages-AutoTheme</name>
	<version>1.0</version>
	<type>modification</type>
*/	

/*
 * Simple Portal Pages Auto-Theme-Selector was developed for SMF forums c/o Underdog @ http://webdevelop.comli.com	
 * Copyright 2013 underdog@webdevelop.comli.com	
 * This software package is distributed under the terms of the GNU General Public License
 * http://www.gnu.org/licenses/gpl.txt
*/

/* mysql setup */
global $smcFunc, $scripturl;
db_extend('packages');


// Add the needed column to store the theme id for SP pages if it does not exist
$smcFunc['db_add_column'](
	'{db_prefix}sp_pages',
	array(
		'name' => 'theme_id',
		'size' => 10,
		'type' => 'int',
		'null' => false
	),
	array(),
	'ignore'
);


/* Insert integration hooks */
add_integration_function('integrate_pre_include', '$sourcedir/SP_AutoThemeHooks.php');
add_integration_function('integrate_pre_load', 'SP_AutoTheme_language');

$url = $scripturl . '?action=admin;area=portalpages;';
if((!empty($_SERVER['HTTP_USER_AGENT'])) && strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') !== false)
{
	@header("Refresh:2; url:" . $url);
	@header("Location:".$url);
}	
else
	@header("Refresh:1; url=$url");
 
/*  END - Mysql setup  */
?>